JAXBResult (Java Platform SE 8 )
Keywords: javax.xml.bind.util.JAXBResult class
Date: 2026-07-22

javax.xml.bind.util

## Class JAXBResult

- java.lang.Object
- - javax.xml.transform.sax.SAXResult
  - - javax.xml.bind.util.JAXBResult

- All Implemented Interfaces:
    Result

      public class JAXBResult
      extends SAXResult

  JAXP `Result` implementation that unmarshals a JAXB object.

  This utility class is useful to combine JAXB with other Java/XML technologies.

  The following example shows how to use JAXB to unmarshal a document resulting from an XSLT transformation.

  >            JAXBResult result = new JAXBResult(
  >              JAXBContext.newInstance("org.acme.foo") );

  >            // set up XSLT transformation
  >            TransformerFactory tf = TransformerFactory.newInstance();
  >            Transformer t = tf.newTransformer(new StreamSource("test.xsl"));

  >            // run transformation
  >            t.transform(new StreamSource("document.xml"),result);

  >            // obtain the unmarshalled content tree
  >            Object o = result.getResult();

  The fact that JAXBResult derives from SAXResult is an implementation detail. Thus in general applications are strongly discouraged from accessing methods defined on SAXResult.

  In particular it shall never attempt to call the setHandler, setLexicalHandler, and setSystemId methods.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.sax.SAXResult

      `FEATURE`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXBResult(JAXBContext context)` Creates a new instance that uses the specified JAXBContext to unmarshal.
    `JAXBResult(Unmarshaller _unmarshaller)` Creates a new instance that uses the specified Unmarshaller to unmarshal an object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getResult()` Gets the unmarshalled object created by the transformation.

    - ### Methods inherited from class javax.xml.transform.sax.SAXResult

      `getHandler, getLexicalHandler, getSystemId, setHandler, setLexicalHandler, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBResult

          public JAXBResult(JAXBContext context)
                     throws JAXBException

      Creates a new instance that uses the specified JAXBContext to unmarshal.
      Parameters:
        `context` - The JAXBContext that will be used to create the necessary Unmarshaller. This parameter must not be null.
      Throws:
        `JAXBException` - if an error is encountered while creating the JAXBResult or if the context parameter is null.

    - #### JAXBResult

          public JAXBResult(Unmarshaller _unmarshaller)
                     throws JAXBException

      Creates a new instance that uses the specified Unmarshaller to unmarshal an object.

      This JAXBResult object will use the specified Unmarshaller instance. It is the caller's responsibility not to use the same Unmarshaller for other purposes while it is being used by this object.

      The primary purpose of this method is to allow the client to configure Unmarshaller. Unless you know what you are doing, it's easier and safer to pass a JAXBContext.

      Parameters:
        `_unmarshaller` - the unmarshaller. This parameter must not be null.
      Throws:
        `JAXBException` - if an error is encountered while creating the JAXBResult or the Unmarshaller parameter is null.

  - ### Method Detail

    - #### getResult

          public Object getResult()
                           throws JAXBException

      Gets the unmarshalled object created by the transformation.
      Returns:
        Always return a non-null object.
      Throws:
        `IllegalStateException` - if this method is called before an object is unmarshalled.
        `JAXBException` - if there is any unmarshalling error. Note that the implementation is allowed to throw SAXException during the parsing when it finds an error.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.